#!/bin/bash

# 删除旧的软链接
find . -type l \( -name "zh-cn" -o -name "zh_Hans" \) -delete
# 使用 find 命令查找当前目录及子目录下所有以 'luci-' 开头的目录
# 并且该目录下必须有 'po' 子目录
find . -type d -name 'luci-*' | while read -r directory; do
    # 检查 'po' 目录是否存在
    if [[ -d "${directory}/po" ]]; then
        # 如果存在 'zh-cn' 目录而不存在 'zh_Hans' 目录，则把 'zh-cn' 目录的内容复制到新建的 'zh_Hans' 目录
        if [[ -d "${directory}/po/zh-cn" && ! -d "${directory}/po/zh_Hans" ]]; then
            mkdir -p "${directory}/po/zh_Hans"
            cp -r "${directory}/po/zh-cn/"* "${directory}/po/zh_Hans/"
        # 如果存在 'zh_Hans' 目录而不存在 'zh-cn' 目录，则把 'zh_Hans' 目录的内容复制到新建的 'zh-cn' 目录
        elif [[ -d "${directory}/po/zh_Hans" && ! -d "${directory}/po/zh-cn" ]]; then
            mkdir -p "${directory}/po/zh-cn"
            cp -r "${directory}/po/zh_Hans/"* "${directory}/po/zh-cn/"
        fi
    fi
done
# 显示新的目录
find . -type d \( -name "zh-cn" -o -name "zh_Hans" \) -print
